<?php get_header(); ?>

		<div id="entry-fullwidth">
		
		<!-- Archive -->				
			<?php if(is_month()) { ?>
				<div id="archive-title">
					<h1>Browsing articles from "<strong><?php the_time('F, Y') ?></strong>"</h1>
				</div>
			<?php } ?>
			<?php if(is_category()) { ?>
				<div id="archive-title">
					<h1>Browsing articles in "<strong><?php $current_category = single_cat_title("", true); ?></strong>"</h1>
				</div>
			<?php } ?>
			<?php if(is_tag()) { ?>
				<div id="archive-title">
					<h1>Browsing articles tagged with "<strong><?php wp_title('',true,''); ?></strong>"</h1>
				</div>
			<?php } ?>
			<?php if(is_author()) { ?>
				<div id="archive-title">
					<h1>Browsing articles by "<strong><?php wp_title('',true,''); ?></strong>"</h1>
				</div>
			<?php } ?>
		<!-- Archive End -->
					
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
					
		<!-- Entry -->
			<div class="post">
				<h1><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h1> 
					<div class="meta">
						<img src="<?php echo get_template_directory_uri(); ?>/images/icons/icon_category.png"> Posted in: <?php the_category(', ') ?>, <img src="<?php echo get_template_directory_uri(); ?>/images/icons/icon_calendar.png"> <?php the_time('F j, Y') ?> 
						<span class="comments-featured"> <?php comments_popup_link('No Comments', '1 Comment ', '% Comments'); ?> </span>
					</div>
							
				<?php echo substr(strip_tags($post->post_content), 0, 500);?>... 
				
				<div class="tags opacity">
					<a id="read-more" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"> Read More</a>
				</div>
			</div>
		<!-- Entry End -->
		
		<?php endwhile; ?>

	<?php else : ?>

		<div id="entry-search">
		
			<h1 style="background:none; text-align:center; margin-top:100px; margin-bottom:-50px;"></h1>
			
				<p style="text-align:center;margin-top:10px;">Sorry, but the content You are looking for does not exist! You could return back or search for more...</p>
				
					<form role="search" method="get" id="searchform" action="<?php echo home_url( '/' ); ?>">
					
						<div align="center"><label class="screen-reader-text" for="s">Search for:</label>
							<input type="text" value="" name="s" id="s">
							<input type="submit" id="searchsubmit" value="Search">
						</div>
					</form>
		</div>

		<?php endif; ?>

		<div align="center" class="pages">
					<?php if (function_exists("pages")) { pages(); } ?>
		</div>

		</div>
		<!-- Entry End -->

<?php get_footer(); ?>