<?php get_header(); ?>
<?php 
/* 
Template Name: Portfolio 2 Columns 
*/  
?>  

<!-- Content -->  
	<div id="entry-fullwidth"> 
		<h1><?php the_title(); ?></h1>	
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
				<?php the_content(); ?>
		
			<?php endwhile; else: ?>
				<?php endif; ?>
					<?php  
						$terms = get_terms("tagportfolio");  
						$count = count($terms);  
						echo '<ul id="portfolio-filter" class="opacity">';  
						echo '<li><a href="#all" title="">All</a></li>';  
						if ( $count > 0 ){  
							foreach ( $terms as $term ) {  
								$termname = strtolower($term->name);  
								$termname = str_replace(' ', '-', $termname);  
								echo '<li>// &nbsp;<a href="#'.$termname.'" title="" rel="'.$termname.'">'.$term->name.'</a></li>';  
								}  
						}  
							echo "</ul>";  
						?>  
						<?php  
							$loop = new WP_Query(array('post_type' => 'project', 'posts_per_page' => -1));  
							$count =0;  
						?>  
					<!-- Portfolio -->  
						<div id="portfolio-wrapper">  
							<ul id="portfolio-list">  
								<?php if ( $loop ) :  
									while ( $loop->have_posts() ) : $loop->the_post(); ?>  
									<?php  
										$terms = get_the_terms( $post->ID, 'tagportfolio' );  
										if ( $terms && ! is_wp_error( $terms ) ) :  
											$links = array();  
											foreach ( $terms as $term )  
											{  
												$links[] = $term->name;  
											}  
											$links = str_replace(' ', '-', $links);  
											$tax = join( " ", $links );  
										else :  
											$tax = '';  
										endif;  
									?>  
									<?php $infos = get_post_custom_values('_url'); ?>
							<div class="view-2c-item view-FlyFromBottom <?php echo strtolower($tax); ?> all">
								 <?php the_post_thumbnail( 'portfolio2c-thumb' ); ?>
								<div class="mask">
									<h2><?php the_title(); ?></h2>
										<p><?php echo substr(strip_tags($post->post_content), 0, 265);?></p>
										<a class="info" title="<?php the_title_attribute(); ?>" rel="prettyPhoto[pp_gal]" href="<?php $image_id = get_post_thumbnail_id();
														$image_url = wp_get_attachment_image_src($image_id,'large', true);
														echo $image_url[0]; ?>" >Preview</a>
										<a class="info" href="<?php the_permalink(); ?>" >Read More</a>
								</div>
							</div>     
								<?php endwhile; else: ?>  
								<div id="entry-search">
									<h1 style="background:none; text-align:center; margin-top:100px; margin-bottom:-50px;"></h1>
										<p style="text-align:center;margin-top:10px;">Sorry, but the content You are looking for does not exist! You could return back or search for more...</p>
											<form role="search" method="get" id="searchform" action="<?php echo home_url( '/' ); ?>">
												<div align="center"><label class="screen-reader-text" for="s">Search for:</label>
												<input type="text" value="" name="s" id="s">
												<input type="submit" id="searchsubmit" value="Search">
												</div>
											</form>
								</div>
							<?php endif; ?>  
							</ul>  
							<div class="clearboth"></div>  
						</div> 
					<!-- Portfolio End -->  
						<script>  
							jQuery(document).ready(function() {  
								jQuery("#portfolio-list").filterable();  
							});  
						</script>  
	</div>
<!-- Content End -->  
			
<?php get_footer(); ?>