<?php
/*
Template Name Posts: Single 2 Columns
*/
?>
<?php get_header(); ?>

<!-- Entry -->
		<div id="entry">
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		<div class="post">
				<h1><?php the_title(); ?></h1> 
				<div class="meta">
							<img src="<?php echo get_template_directory_uri(); ?>/images/icons/icon_category.png"> Posted in: <?php the_category(', ') ?>, <img src="<?php echo get_template_directory_uri(); ?>/images/icons/icon_calendar.png"> <?php the_time('F j, Y') ?> 
							<span class="comments-featured"> <?php comments_popup_link('No Comments', '1 Comment ', '% Comments'); ?> </span>
						</div>
    
							
						<a class="thumb" alt="<?php the_title_attribute(); ?>" title="<?php the_permalink(); ?>" href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'post-thumb' ); ?>
						</a> 
						
						<?php the_content(); ?>
				
                    				<div class="tags opacity">
										<?php the_tags(); ?>
									</div>	
	
			<?php comments_template(); ?>
		</div>
		
		<?php endwhile; else: ?>

	<?php endif; ?>
		
		</div>
<!-- Entry End -->

<?php get_sidebar(); ?>	

<?php get_footer(); ?>